Bastion Cookbook CHANGELOG
==========================

Unreleased
----------

v3.4.6 (2019-03-22)
-------------------

* Added Ubuntu 18.04 support
* Removed
  * docker
  * java
  * dnsmasq-local
  * snoopy
* Uses Socrata's `kitchen-microwave` framework
* Fixed unit and integration tests
* `Docker` was removed since its not in use and `dnsmasq-local` is not
  compatible on 18.04.
* `dnsmasq-local` isn't currently needed with docker being removed and
  lack of compatibility on 18.04.
* `snoopy` was removed in favor of the system installed logging packages
* `java` was removed in favor of the system level java install

v3.4.0 (2017-11-15)
-------------------

* Stop installing system Ruby

v3.3.0 (2017-05-19)
-------------------

* Update the dnsmasq-local dependency

v3.2.1 (2016-12-14)
-------------------

* Make the greeting message friendlier to newer versions of X2go

v3.2.0 (2016-09-26)
-------------------

* Update to use v1.x of the dnsmasq-local cookbook

v3.1.0 (2016-07-18)
-------------------

* Use Dnsmasq dynamic binding option to avoid race conditions with Docker
* Remove direct dependency on the apt cookbook

v3.0.1 (2016-06-03)
-------------------

* Make the greeting output great (and colorized) again

v3.0.0 (2016-06-03)
-------------------

* Convert the MOTD into an interactive user greeting

v2.1.0 (2016-05-19)
-------------------

* Offer an attribute-y means of passing in Docker options
* Install dnsmasq and use it for Docker's DNS queries

v2.0.0 (2016-05-16)
-------------------

* Install Docker and optionally pull in some images
* Drop compatibility with Chef 11
* Update apt, firewall, and x2go-server dependencies

v1.1.0 (2016-05-06)
-------------------

* Add a configurable MOTD

v1.0.0 (2015-10-26)
-------------------

* Replace Auditd with Snoopy for logging execve calls
* Install Oracle Java with the other dev tools

v0.3.0 (2015-10-08)
-------------------

* Install a limited set of dev tools--Git and Ruby

v0.2.0 (2015-09-25)
-------------------

* Install auditd and log all of the things

v0.1.0 (2015-09-16)
-------------------

* Initial release; Ubuntu only

v0.0.1 (2015-09-04)
-------------------

* Development started
